Bug 9024 - Add additional sample data to German installer
Summary: Add additional sample data to German installer
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Katrin Fischer
QA Contact: Paul Poulain
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-07 14:29 UTC by Katrin Fischer
Modified: 2013-11-05 09:43 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9024: Adding sample patron attributes to German web installer (1.61 KB, patch)
2012-11-07 14:40 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 9023: Add missing sample data to existing files (6.17 KB, patch)
2012-11-07 15:31 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 9023: Add missing sample data to existing files (6.18 KB, patch)
2012-11-20 16:33 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 9024: Fix typo (1.34 KB, patch)
2012-11-20 16:42 UTC, Mirko Tietgen
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2012-11-07 14:29:59 UTC

    
Comment 1 Katrin Fischer 2012-11-07 14:35:39 UTC
Currently the optional sample data is misssing following files:

- marc21_relatorterms
- sample_quotes
- patron_attributes
Comment 2 Katrin Fischer 2012-11-07 14:40:50 UTC
Created attachment 13284 [details] [review]
Bug 9024: Adding sample patron attributes to German web installer

Adds SHOW_BCODE as sample patron attribute to the German web installer.

To test:
- Run the web installer in German, make sure the new sample data shows up
and can be installed.
Comment 3 Katrin Fischer 2012-11-07 15:31:27 UTC
Created attachment 13285 [details] [review]
Bug 9023: Add missing sample data to existing files

Adds missing authorised values (enhancement)

Adds missing slip notice templates (bug fix)
Koha will complain if you try to print a slip and there is no notice
defined for them, so this is not really an improvement, but kind of a bug fix.
Comment 4 Katrin Fischer 2012-11-10 19:39:12 UTC
Changing this from enhancement to normal, because the missing slip templates result in an unhappy Koha trying to print slips from circulation. Again, this is string safe, as translation here is done outside of po files.
Comment 5 Paul Poulain 2012-11-20 11:25:51 UTC
QA comment: german install only files, passed QA
Comment 6 Mirko Tietgen 2012-11-20 16:33:49 UTC Comment hidden (obsolete)
Comment 7 Mirko Tietgen 2012-11-20 16:42:01 UTC
Created attachment 13567 [details] [review]
Bug 9024: Fix typo
Comment 8 Mirko Tietgen 2012-11-20 16:44:43 UTC
I checked both patches for language and functionality. All is fine but there is one tiny typo, I attached a patch.
Comment 9 Jared Camins-Esakov 2012-11-20 19:21:46 UTC
This patch has been pushed to master.
Comment 10 Paul Poulain 2012-11-22 15:38:51 UTC
Patch pushed to branch 3.10.x
Comment 11 Chris Cormack 2012-11-26 00:11:31 UTC
Pushed to 3.8.x, will be in 3.8.8
Comment 12 Liz Rea 2012-11-28 22:43:53 UTC
Pushed to 3.6.x will be in 3.6.11.
Comment 13 Katrin Fischer 2012-11-29 06:56:10 UTC
Hi Liz, 

3.6 does have the old notices module, so slips are not configurable there. And I am not sure about the patron attribute to show barcodes but think this was introduced a little later too. Can you maybe revert those 2 patches? Sorry for the confusion!
Comment 14 Liz Rea 2012-12-03 20:39:48 UTC
Reverted. Thanks for catching this.

Liz